package com.qmth.themis.business.dto.response;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: 用户查询response dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/3
 */
public class TBUserDto implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "用户id")
    private Long id;//id

    @ApiModelProperty(name = "用户姓名")
    private String name;//姓名

    @ApiModelProperty(name = "角色名")
    private String roleNameStr;//角色名

    @ApiModelProperty(name = "是否启用，0：停用，1：启用")
    private Integer enable;//状态

    @ApiModelProperty(name = "更新人")
    private String updateName;//更新人

    @ApiModelProperty(name = "更新时间")
    private Long updateTime;//更新时间

    @ApiModelProperty(name = "登录名")
    private String loginName;//登录名

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "机构id")
    private Long orgId;//机构id

    @ApiModelProperty(name = "机构名称")
    private String orgName;//机构名称

    @ApiModelProperty(name = "手机号")
    private String mobileNumber;//手机号

    @ApiModelProperty(name = "角色编码")
    private String roleCodeStr;//角色编码

    @ApiModelProperty(name = "角色编码集合")
    private List<String> roleCode;

    @ApiModelProperty(name = "角色名称集合")
    private List<String> roleName;

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRoleNameStr() {
        return roleNameStr;
    }

    public void setRoleNameStr(String roleNameStr) {
        this.roleNameStr = roleNameStr;
    }

    public String getRoleCodeStr() {
        return roleCodeStr;
    }

    public void setRoleCodeStr(String roleCodeStr) {
        this.roleCodeStr = roleCodeStr;
    }

    public List<String> getRoleCode() {
        return roleCode;
    }

    public void setRoleCode(List<String> roleCode) {
        this.roleCode = roleCode;
    }

    public List<String> getRoleName() {
        return roleName;
    }

    public void setRoleName(List<String> roleName) {
        this.roleName = roleName;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }
}
